@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@500&family=Roboto:wght@400;900&display=swap');

.widget {
    top: 50%;
    transform: translate(0%, -50%);
    width: 100%;
    height: 180px;
    padding: 20px;
    background: rgba(4, 21, 98, 0.75);
    border-radius: 20px;
    box-shadow: 1px 1px 20px 2px rgba(0, 0, 0, 0.2);
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    position: relative;
    z-index:1;
    right: 0;
}
.temp {
     font-family: 'Roboto', sans-serif;
     font-size: 30px;
     font-weight: 900;
     //margin-left: 22px;
     color: #FFDF2C;
}
.city {
     font-family: 'Poppins', sans-serif;
     font-size: 115%;
     font-weight: 500;
     margin-left: -10px;
     color: #fff;
}
.loader {
     width: 48px;
     height: 48px;
     border: 5px solid #000;
     border-bottom-color: transparent;
     border-radius: 50%;
     display: inline-block;
     box-sizing: border-box;
     animation: rotation 1s linear infinite;
}
 @keyframes rotation {
     0% {
         transform: rotate(0deg);
    }
     100% {
         transform: rotate(360deg);
    }
}
.toggle {
     display: none;
     cursor: pointer;
     -webkit-tap-highlight-color: transparent;
     margin: -25px 0px 25px 0px;
}
.toggle i {
     position: relative;
     display: flex;
     margin-right: .5rem;
     width: 57.5px;
     height: 32.5px;
     background-color: #F2F1F2;
     border-radius: 23px;
     vertical-align: text-bottom;
     transition: all 0.3s linear;
     z-index: 1;
     font-family: 'Poppins', sans-serif;
     font-style: normal;
     font-size: 12px;
     justify-content: space-around;
}
.toggle i p {
     display: inherit;
     margin: 7px 0 0 0;
}
.toggle i::before {
     content: "";
     position: absolute;
     left: 0;
     width: 52.5px;
     height: 32.5px;
     border-radius: 11px;
     transform: translate3d(2px, 2px, 0) scale3d(1, 1, 1);
     transition: all 0.25s linear;
}
.toggle i::after {
     content: "";
     position: absolute;
     left: 0;
     width: 27.5px;
     height: 27.5px;
     background-color: #fff;
     border-radius: 13.75px;
     box-shadow: 0 2px 2px rgba(0, 0, 0, 0.24);
     transform: translate3d(2px, 2px, 0);
     transition: all 0.2s ease-in-out;
     z-index: -1;
}
.toggle:active i::after {
     width: 35px;
     transform: translate3d(2.5px, 2.5px, 0);
}
.toggle:active input:checked + i::after {
     transform: translate3d(20px, 2.5px, 0);
}
.toggle input {
     display: none;
}
.toggle input:checked + i {
     background-color: #F2F1F2;
}
.toggle input:checked + i::before {
     transform: translate3d(22.5px, 2.5px, 0) scale3d(0, 0, 0);
}
.toggle input:checked + i::after {
     transform: translate3d(27.5px, 2.5px, 0);
}

/* Floting social icons */

.floating-icons {
     position: fixed;
     right: 0;
     top: 35%;
     z-index: 9;
     display: flex;
     flex-direction: column;
     align-items: flex-end;
 }
 
 .floating-icons a {
     height: 40px;
     width: 40px;
     display: flex;
     justify-content: flex-start;
     align-items: center;
 }
 
 .floating-icons a:first-child {
     border-top-left-radius: 5px;
 }
 
 .floating-icons a:last-child {
     border-bottom-left-radius: 5px;
 }
 
 .floating-icons a:hover {
     width: 80px;
     border-top-left-radius: 5px;
     border-bottom-left-radius: 5px;
 }
 
 .floating-icons a i {
     color: #fff;
     font-size: 20px;
     width: 40px;
     height: 40px;
     line-height: 40px;
     text-align: center;
 }
 
 .floating-icons a.fb {
     background-color: #337FFF;
 }
 
 .floating-icons a.tw {
     background-color: #000;
 }
 
 .floating-icons a.ins {
     background-color: #DA3A8D;
 }
 
 .floating-icons a.link {
     background-color: #0277b5;
 }
 
 .floating-icons a.you {
     background-color: #D72A2A;
 }